<?php
/**
 * Core Design Favorite Pages module for Joomla! 2.5
 * @author		Daniel Rataj, <info@greatjoomla.com>
 * @package		Joomla 
 * @subpackage	Content
 * @category	Module
 * @version		2.5.x.2.0.3
 * @copyright	Copyright (C) 2007 - 2012 Great Joomla!, http://www.greatjoomla.com
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL 3
 * 
 * This file is part of Great Joomla! extension.   
 * This extension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This extension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// no direct access
defined('_JEXEC') or die;

// include functions only once
require_once (dirname(__file__) . DS . 'helper.php');

jimport('joomla.enviroment.request');

$application = JFactory::getApplication();

if ($task = JRequest::getCmd('fapa', '', 'post'))
{
	$msg = '';
	switch ($task)
	{
		case 'remove':
			$msg = modCdFapaHelper::deleteFapa();
			break;
		case 'add':
			$msg = modCdFapaHelper::addFapa();
			break;
		default:
			break;
	}
	if ($msg)
	{
		$application->close($msg);
	}
}

$user = JFactory::getUser();
$user_id = $user->id;

// helper
$isLoggedIn = modCdFapaHelper::isLoggedIn();

$uitheme = $params->get('uitheme', 'ui-lightness');
if ($uitheme == '-1') $uitheme = 'ui-lightness';

// load CSS and JS if user is logged
if ($isLoggedIn) {
	try {
		if ( ! class_exists( 'JScriptegrator' ) )
		{
		    throw new Exception( JText::_( 'MOD_CDFAPA_ENABLE_SCRIPTEGRATOR' ), 404 );
		}
		
		$JScriptegrator = JScriptegrator::getInstance('2.5.x.2.2.9');
		$JScriptegrator->importLibrary(
		array(
			'phpjs',
			'jQuery',
			'jQueryUI' => array(
				'uitheme' => $uitheme
			)
		));
		
		if ($message = $JScriptegrator->getError())
		{
		    throw new Exception($message, 500);
		}
	} catch (Exception $e) {
		$application->enqueueMessage( $e->getMessage(), 'error' );
		return false;
	}
	
	modCdFapaHelper::createDatabase(); // create database if not exists
	$getFapList = modCdFapaHelper::getFapList($params);
	modCdFapaHelper::loadModuleApplication($params);
	
	$document = JFactory::getDocument();
	
	// remove website name from document title
	$document_title = str_replace($application->getCfg('sitename') . ' - ', '', $document->getTitle());
} else {
	echo JText::_('MOD_CDFAPA_LOGIN_FIRST');
    return false;
}

require (JModuleHelper::getLayoutPath('mod_cdfapa'));
?>