<?php
/**
 * Core Design Favorite Pages module for Joomla! 2.5
 * @author		Daniel Rataj, <info@greatjoomla.com>
 * @package		Joomla 
 * @subpackage	Content
 * @category	Module
 * @version		2.5.x.2.0.3
 * @copyright	Copyright (C) 2007 - 2012 Great Joomla!, http://www.greatjoomla.com
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL 3
 * 
 * This file is part of Great Joomla! extension.   
 * This extension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This extension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// no direct access
defined('_JEXEC') or die;
?>
<div class="cdfapa">
	<div class="<?php echo $uitheme; ?>">
		<?php if ((int)$params->get('use_uitheme', 0)): ?>
			<div class="ui-widget ui-widget-content ui-corner-all cdfapa_widget">
		<?php endif; ?>
			<?php if (!$getFapList): ?>
				<div class="fapa_box"></div>
			<?php else: ?>
				<div class="fapa_box">
					<?php foreach ($getFapList as $getFap): ?>
					<div class="fapa<?php if(modCdFapaHelper::pageExists() === $getFap->fap_id) echo ' fapa_active'; ?>" id="fapa_<?php echo $getFap->fap_id; ?>">
						<span class="fapa_icon ui-icon ui-icon-star">&nbsp;</span><a class="fapa_tooltip" href="<?php echo str_replace('&', '&amp;', $getFap->fap_link); ?>" title="<?php echo htmlspecialchars($getFap->fap_note); ?>"><?php echo htmlspecialchars($getFap->fap_title); ?></a><span class="fapa_delete"><a href="#delete" title="<?php echo JText::_('MOD_CDFAPA_TRASH'); ?>">x</a></span>
					</div>
					<?php endforeach; ?>
				</div>
			<?php endif; ?>
			<div class="fapa_utils"></div>
			<div class="dialog_form">
				<form name="add_fapa" action="" method="post">
					<div><label for="fapatitle"><?php echo JText::_('MOD_CDFAPA_CUSTOMTITLE'); ?>:</label><input id="fapatitle" type="text" name="fapatitle" value="<?php echo htmlspecialchars($document_title); ?>" /></div>
					<div><label for="fapadesc"><?php echo JText::_('MOD_CDFAPA_DESCRIPTION'); ?>:</label><input id="fapadesc" type="text" name="fapadesc" value="" maxlength="<?php echo (int) $params->get('title_length', 100); ?>" /></div>
					<?php echo JHTML::_('form.token'); ?>
					<input type="hidden" name="fapa" value="add" />
				</form>
			</div>
		<?php if ((int)$params->get('use_uitheme', 0)): ?>
			</div>
		<?php endif; ?>
	</div>
</div>